/*
 * @file   AXHOpdDataAWB.cpp
 * @brief  Source file of OPD Data for AWB class.
 * @par    Programming Language
 *         C++
 */

#include "AXHOpdDataAWB.hpp"
#include "AXHOpdCommon.hpp"
#include "AXHRegAddr.hpp"


AXHOpdDataAWB::AXHOpdDataAWB() {
}

AXHOpdDataAWB::~AXHOpdDataAWB() {
}

unsigned char* AXHOpdDataAWB::getOpdData(int cmd) {
  if(cmd == AXH_Cmd_Get_Opd_AWB_1) {
	//  AWB 長時間画像用格納先アドレス取得
    return (unsigned char*)AXH_SPAD_OFST_IMG_AWB_1;
  }
  else {
	//  AWB 短時間画像用格納先アドレス取得
    return (unsigned char*)AXH_SPAD_OFST_IMG_AWB_0;
  }
}


